## debconf 1.4.70.osso2

=== Makefile ===
MUNGE=xargs perl -i.bak -ne ' \
		print $$_."\# This file was preprocessed, do not edit!\n" \
			if m:^\#!/usr/bin/perl:; \
		$$cutting=1 if /^=/; \
		$$cutting="" if /^=cut/; \
		next if /use lib/; \
		next if $$cutting || /^(=|\s*\#)/; \
		print $$_ \
	'

all: 
	$(MAKE) -C doc
	$(MAKE) -C po

#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
#	LC_ALL=C puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@

clean:
	find . -name \*~ | xargs rm -f
	$(MAKE) -C doc clean
	$(MAKE) -C po clean
	rm -f Debconf/FrontEnd/Kde/WizardUi.pm

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/usr/share/perl5/{}
	install -d $(prefix)/usr/lib/python2.3/site-packages/ \
		$(prefix)/usr/lib/python2.4/site-packages/
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
	# Special case for back-compatability.
	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' | 			\
	     grep -v Client/ConfModule | $(MUNGE)
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== doc/Makefile ===
all: manpages
	./graph.pl `find .. -name \*.pm` > hierarchy.txt

pod2man=pod2man -c Debconf -r ''
manpages:
	install -d man/gen
	for num in 1 3 8; do \
		find man -maxdepth 1 -type f -name "*.$$num.pod" -printf '%P\n' | \
			xargs -i sh -c "cd man ; $(pod2man) --section=$$num {} > gen/\`basename {} .pod\`"; \
	done
	$(pod2man) --section=3 ../Debconf/Client/ConfModule.pm \
		> man/gen/Debconf::Client::ConfModule.3pm
	find .. -maxdepth 1 -perm +100 -type f \( -name debconf -or -name 'debconf-*' \) -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=1 {} > doc/man/gen/{}.1"
	find .. -maxdepth 1 -perm +100 -type f -name 'dpkg-*' -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=8 {} > doc/man/gen/{}.8"

clean:
	rm -f hierarchy.txt
	rm -rf man/gen

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../Debconf -type f -name \*.pm)) \
	../dpkg-* ../debconf-* ../debconf

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: debconf.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/debconf.mo; \
	done

debconf.pot: $(POTFILES)
# xgettext can mostly handle perl files as C files, though it gets a bit
# confused about single quotes in comments, and the gettext() calls have to
# use double-quoted strings or it will ignore them.
	@echo "Rebuilding the pot file"
	xgettext $(POTFILES) -o debconf.pot -Lperl

clean:
	rm -f debconf.pot $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: debconf.pot
	@echo -n "Merging debconf.pot and $@"
	@msgmerge $@ debconf.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to cvs commit such
# changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
debconf (1.4.70.osso2) unstable; urgency=low

  * Removed unneded build dependences and dh_installman to fix build

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Feb 2006 19:06:45 +0200

debconf (1.4.70.osso1) unstable; urgency=low

  * Merged osso changes

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Feb 2006 18:35:34 +0200

debconf (1.4.70) unstable; urgency=low

  [ Christian Perrier ]
  * Fix spelling error in French translation

  [ Colin Watson ]
  * Add experimental confmodule support for cdebconf, now that the file
    conflicts between debconf and cdebconf have been removed: set
    DEBCONF_USE_CDEBCONF to have /usr/share/debconf/confmodule try to run
    the cdebconf frontend rather than the debconf frontend. (I expect this
    not to work smoothly yet; for a start, cdebconf won't have a useful
    database!)
  * Only conflict with cdebconf (<< 0.96).

  [ Luk Claes ]
  * Translations:
    - Baskish updated programs.
    - Czech updated programs.
    - Dutch updated debconf.
    - Finnish updated debconf.
    - Galician updated programs.
    - German updated debconf and programs.
    - Greek updated programs.
    - Hebrew updated debconf and programs.
    - Italian updated programs. Closes: #350387
    - Japanese updated programs. Closes: #350251
    - Latvian updated debconf.
    - Lithuanian updated debconf.
    - Norwegian (nb) updated debconf and programs.
    - Polish updated debconf and programs.
    - Punjabi updated debconf.
    - Russian updated programs. Closes: #350159
    - Simplified Chinese updated programs.
    - Slovak updated programs.
    - Slovenian updated debconf.
    - Spanish updated debconf and programs.
    - Swedish updated programs.
    - Tagalog updated programs.
    - Traditional Chinese updated programs.
    - Vietnamese updated debconf and programs. Closes: #350087

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 10:16:01 +0000

debconf (1.4.69) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Japanese updated debconf and programs. Closes: #348965
    - Simplified Chinese updated debconf. Closes: #349600

  [ Colin Watson ]
  * Fix shadowing of 'bool' builtin in debconf.py getBoolean() (found by
    pychecker).
  * Add support for templates of type 'error', which are largely treated
    like notes except that they are displayed no matter what the priority
    and even if they've previously been seen. For example, this can be used
    for input validation errors. This is compatible with cdebconf.
  * Fix crash in kde frontend while handling PROGRESS STOP.

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jan 2006 09:53:46 +0000

debconf (1.4.68) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Italian updated debconf. Closes: #346114
    - Slovak updated debconf and programs. Closes: #346371
    - Turkish updated debconf. Closes: #347714

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Jan 2006 14:37:34 -0500

debconf (1.4.67) unstable; urgency=low

  [ Christian Perrier ]
  * Translations:
    - Greek updated programs. Closes: #344643
    - Tagalog updated debconf. Closes: #344749
    - Catalan updated debconf and programs. Closes: #344966
    - Czech updated debconf and programs. Closes: #345339

  [ Joey Hess ]
  * debconf.conf(5) typo fix. Closes: #344336

  [ Colin Watson ]
  * Add bash completion file (thanks, Alexandra N. Kossovsky).
    Closes: #301998
  * Fix DebconfCommunicator inheritance.

  [ Luk Claes ]
  * Translations:
    - Catalan updated programs and debconf. Closes: #344966

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 Jan 2006 18:42:30 +0000

debconf (1.4.66) unstable; urgency=HIGH

  [ Colin Watson ]
  * DEBCONF_DB_REPLACE causes all databases from the config file to be
    opened read-only, including the templates database, partly because it's
    hard to do otherwise and partly because DEBCONF_DB_REPLACE is used for
    passthrough applications which want to avoid two debconf instances both
    opening the same templates database read-write. Unfortunately this
    breaks if anyone tries to register new templates. As a workaround, stack
    a throwaway pipe database in front of the configured templates database
    if DEBCONF_DB_REPLACE is in use. Closes: #343902

  * Translations:
    - Indonesian updated debconf (Closes: #344512).
    - Greek updated debconf (Closes: #344585).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 10:46:36 +0000

debconf (1.4.65) unstable; urgency=HIGH

  * Remove my progress bar check of the last version since it breaks
    passthrough, especially where the actual progress bar was started by the
    destination frontend.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Dec 2005 03:37:19 -0500

debconf (1.4.64) unstable; urgency=HIGH

  [ Colin Watson ]
  * debconf-apt-progress: Make sure to start up a debconf frontend properly
    (including saving/restoring @ARGV) in all modes except --config, not
    just in the all-in-one mode. Closes: #344159

  [ Joey Hess ]
  * Add a check in the ConfModule to make sure that a progress bar is
    available before trying to use it.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Dec 2005 19:16:14 -0500

debconf (1.4.63) unstable; urgency=low

  [ Colin Watson ]
  * debconf-apt-progress: Allow --from and --to to be used with --start to
    change the endpoints of the created progress bar.
  * Add DebconfCommunicator class to debconf.py to allow speaking the
    debconf protocol over a debconf-communicate subprocess. Useful for
    querying the debconf database noninteractively.

  [ Luk Claes ]
  * Translations:
    - Basque updated programs and updated debconf (Closes: #342093).
    - Russian updated programs translation (Closes: #342771).
    - Russian updated debconf translation (Closes: #342773).
    - Galician updated debconf translation (Closes: #343056).
    - Danish updated debconf translation (Closes: #343431).
    - Swedish updated debconf translation (Closes: #344059).

  [ Joey Hess ]


=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.6.2
Build-Depends-Indep: perl, python, gettext (>= 0.13)
Build-Depends: debhelper, po-debconf

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: debconf-i18n | debconf-english
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libqt-perl, libnet-ldap-perl, perl
Architecture: all
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.3.22)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
Architecture: all
Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-english
Priority: extra
Conflicts: debconf-i18n
Architecture: all
Depends: debconf
Description: small footprint English-only debconf
 This package is an alternative to the debconf-i18n package, intended for
 systems that are administered only in English, and low-footprint systems.
 If you install this package, debconf will not work properly in other
 languages, but you'll save half a megabyte of disk space.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (>= 1.3.20), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

=== debian/rules ===
#!/usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	# This will guarantee that PO files are always synced with templates
	debconf-updatepo
	dh_clean debian/debconf.changelog

binary-indep:
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

	# Link doc dirs where appropriate.
	for p in debconf-utils debconf-i18n debconf-english; do \
		dh_link -p $$p usr/share/doc/debconf usr/share/doc/$$p; \
	done

	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n
	
	dh_installdocs
	dh_installdirs etc/apt/apt.conf.d/ /etc/bash_completion.d/
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	cp bash_completion debian/debconf/etc/bash_completion.d/debconf
# 	dh_installman doc/man/gen/dpkg-*configure.8 \
# 		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
# 		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
# 		doc/man/gen/debconf-set-selections.1 \
# 		doc/man/gen/debconf-apt-progress.1
	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
		doc/man/gen/debconf-set-selections.*.1
	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress`
	dh_installexamples -pdebconf-doc samples/*
	
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog
	echo "Install debconf-doc and see /usr/share/doc/debconf-doc/changelog.gz" >> debian/debconf.changelog
	echo "for the remainder of this changelog." >> debian/debconf.changelog

	dh_python -V2.3
	dh_python -V2.4
	dh_installchangelogs
	dh_compress -X demo.templates -X tutorial.templates
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debconf 1.4.70.osso3+0m5

=== debian/changelog ===
debconf (1.4.70.osso3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Mon, 19 Oct 2009 14:08:25 +0300

debconf (1.4.70.osso3) unstable; urgency=low

  * Don't preconfigure packages by default (Fixes: NB#143440)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri, 16 Oct 2009 11:00:32 +0300

## debconf 1.4.72ubuntu9

=== debian/changelog ===
debconf (1.4.72ubuntu9) dapper; urgency=low

  * Backport from trunk (closes: Malone #42187):
    - Stop the Gnome and Kde frontends from displaying select questions with
      zero or one choices, or multiselect questions with zero choices; this
      was broken due to an error in multiple inheritance (thanks, Gary
      Coady; closes: https://launchpad.net/bugs/42187).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 11:03:13 +0100

debconf (1.4.72ubuntu8) dapper; urgency=low

  * Merge r2040.
  [ Joey Hess ]
  * In the gnome and kde frontends, exit 1 not 0 when cancel is hit.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 May 2006 03:16:28 +0200

debconf (1.4.72ubuntu7) dapper; urgency=low

  * Backport from trunk (closes: Malone #43907):
    - Handle escaped commas ("\,") and escaped spaces ("\ ") in Choices and
      Value fields in questions, matching cdebconf. I've grepped the archive
      for backslashes in Choices fields in templates and in db_set and
      db_subst commands and found nothing that this change would break,
      while it lets us use more code from d-i in the installed system.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 May 2006 13:40:43 +0100

debconf (1.4.72ubuntu6) dapper; urgency=low

  * Backport from trunk, to help with live CD memory use:
    - Add a --no-reload option to dpkg-reconfigure, to allow you to prevent
      it from reloading templates before running confmodules. This may be
      useful for performance if you know that the templates database is
      already correct.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 May 2006 19:47:53 +0100

debconf (1.4.72ubuntu5) dapper; urgency=low

  * Backport from trunk (see Malone #42868):
    - Add cloexec keyword argument to Python DebconfCommunicator class,
      defaulting to False; if True, the file descriptors connected to
      debconf-communicate will be marked close-on-exec.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  4 May 2006 09:40:45 +0100

debconf (1.4.72ubuntu4) dapper; urgency=low

  * Backport from trunk (closes: Malone #41921):
    - Retry readline() in the Python confmodule if it's interrupted by a
      signal.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 May 2006 14:07:45 +0100

debconf (1.4.72ubuntu3) dapper; urgency=low

  * Backport from trunk (closes: Malone #37934):
    - Strip only trailing newlines from replies in the Python confmodule,
      rather than all leading and trailing whitespace.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Apr 2006 13:35:42 +0100

debconf (1.4.72ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Notice and error out on write errors (such as ENOSPC) when saving
      databases. Should help with a lot of database corruption bugs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Apr 2006 15:08:10 +0100

debconf (1.4.72ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Mar 2006 13:21:24 +0000

debconf (1.4.72) unstable; urgency=low

  [ Colin Watson ]
  * Expand substitution variables when replying to localised METAGET
    requests for description, extended_description, or choices.
  * Add support for an 'escape' capability. If a confmodule sets this using
    CAPB, then commands it sends to debconf will be processed for backslash
    escapes (\n is a newline, \ followed by any other character is just that
    character) and debconf's replies will be backslash-escaped similarly.
    This allows such things as embedding newlines in substitutions and
    fetching extended descriptions using METAGET; the use of a capability is
    required because otherwise this would break compatibility with old
    confmodules. Closes: #126753
  * debconf.py: Avoid leaking a file descriptor from DebconfCommunicate.
  * Fix truncation of multi-line return values to handle values over two
    lines long correctly.
  * Add a debconf-escape program and make the confmodules unescape text
    automatically in escape mode. At present we don't escape text
    automatically, but you can use 'debconf-escape -e' yourself if you want
    an easy way to do that.
  * Remove *.pyc and *.pyo on clean.

  [ Luk Claes ]
  * Translations:
    - Hungarian new programs. Closes: #353933

  [ Joey Hess ]
  * Add the same insane kind of fork check for Qt having a working display as
    we already had for GTK, since both libraries are written by monkeys who
    think that having a *library* exit(3) is a good idea if there's not a
    usable display. Sheesh. (On the plus side, the same monkeys have taught
    users to not care if it takes a 9 ghz machine to run a simple dialog, so
    who cares if we have to use expensive forking to work around your brain
    damage.) Closes: #354656, #244972, #246133

  [ Christian Perrier and the French team ]
  * Switch to po4a for man pages translations
  * Complete update of the French manpages translations

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Mar 2006 12:58:20 +0000

debconf (1.4.71) unstable; urgency=low

  [ Luk Claes ]
  * Translations:
    - Brazilian portuguese updated programs. Closes: #352415
    - Bulgarian updated debconf. Closes: #351046
    - Catalan updated programs. Closes: #350966
    - Danish updated programs. Closes: #352238
    - Dutch updated programs. Closes: #351538
    - French updated programs. Closes: #351227, #352485
    - Hungarian updated debconf. Closes: #352271
    - Portuguese updated debconf and programs.
    - Turkish updated debconf and programs.
    - Ukrainian updated debconf and programs. Closes: #350680

  [ Christian Perrier ]
  * Translations:
    - Corrected encoding of Turkish

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Feb 2006 15:11:09 -0500

debconf (1.4.70ubuntu2) dapper; urgency=low

  * debconf.py: Avoid leaking a file descriptor from DebconfCommunicate.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  3 Mar 2006 16:39:52 +0000

debconf (1.4.70ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.



=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.2
-Build-Depends-Indep: perl, python, gettext (>= 0.13)
-Build-Depends: debhelper, po-debconf
+Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
+Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)
 
 Package: debconf
 Priority: important

## debconf 1.4.72ubuntu10

=== debian/changelog ===
debconf (1.4.72ubuntu10) dapper-proposed; urgency=low

  * Backport from trunk, fixing a race leading to occasional hangs during
    installation (LP: #62986):
    - Make sure that apt status commands and debconf protocol commands under
      debconf-apt-progress are properly interleaved. Closes: #425397

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 10:09:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -42,18 +42,21 @@
 	dh_installdirs etc/apt/apt.conf.d/ /etc/bash_completion.d/
 	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
 	cp bash_completion debian/debconf/etc/bash_completion.d/debconf
-# 	dh_installman doc/man/gen/dpkg-*configure.8 \
-# 		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
-# 		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
-# 		doc/man/gen/debconf-set-selections.1 \
-# 		doc/man/gen/debconf-apt-progress.1
+	dh_installman doc/man/gen/dpkg-*configure.8 \
+		doc/man/gen/debconf-show.1 doc/man/gen/debconf-copydb.1 \
+		doc/man/gen/debconf.1 doc/man/gen/debconf-communicate.1 \
+		doc/man/gen/debconf-set-selections.1 \
+		doc/man/gen/debconf-apt-progress.1 \
+		doc/man/gen/debconf-escape.1
 	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
 		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
 		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
-		doc/man/gen/debconf-set-selections.*.1
+		doc/man/gen/debconf-set-selections.*.1 \
+		doc/man/gen/debconf-apt-progress.*.1 \
+		doc/man/gen/debconf-escape.*.1
 	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
 		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
-	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress`
+	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape`
 	dh_installexamples -pdebconf-doc samples/*
 	
 	# Changelog reduction hack for debconf. Only include top 100 entries.

## debconf 1.5.2ubuntu2

=== Makefile ===
--- 
+++ 
@@ -8,15 +8,15 @@
 		print $$_ \
 	'
 
-all: 
+all: Debconf/FrontEnd/Kde/WizardUi.pm
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
-#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-#	LC_ALL=C puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
+Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
+	LC_ALL=C puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
-	find . -name \*~ | xargs rm -f
+	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
 	rm -f Debconf/FrontEnd/Kde/WizardUi.pm
@@ -28,7 +28,7 @@
 # Anything that goes in the debconf-utils package.
 install-utils:
 	install -d $(prefix)/usr/bin
-	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | \
+	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
 		xargs -i install {} $(prefix)/usr/bin
 
 # Anything that goes in the debconf-i18n package.
@@ -67,7 +67,7 @@
 	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
 	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
 		xargs -i install {} $(prefix)/usr/sbin
-	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress | \
+	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
 		xargs -i install {} $(prefix)/usr/bin
 	# Now strip all pod documentation from all .pm files and scripts.
 	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\

=== debian/changelog ===
debconf (1.5.2ubuntu2) edgy; urgency=low

  * Use printf rather than echo to send commands to debconf, to avoid
    breaking escaped commands if /bin/sh is dash (closes: #306134).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jul 2006 13:47:50 +0100

debconf (1.5.2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jun 2006 21:36:34 +0100

debconf (1.5.2) unstable; urgency=low

  [ Colin Watson ]
  * Stop the Gnome and Kde frontends from displaying select questions with
    zero or one choices, or multiselect questions with zero choices; this
    was broken due to an error in multiple inheritance (thanks, Gary Coady;
    closes: https://launchpad.net/bugs/42187).

  [ Joey Hess ]
  * debconf-get-selections: Don't skip notes or errors, people may want to
    preseed those.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2006 16:26:20 -0400

debconf (1.5.1) unstable; urgency=low

  [ Colin Watson ]
  * Remove trailing whitespace from some .P requests in man pages, to make
    po4a happier.
  * Strip only trailing newlines from replies in the Python confmodule,
    rather than all leading and trailing whitespace.
  * Retry readline() in the Python confmodule if it's interrupted by a
    signal.
  * Typo fixes in Debconf::Encoding documentation.
  * Add cloexec keyword argument to Python DebconfCommunicator class,
    defaulting to False; if True, the file descriptors connected to
    debconf-communicate will be marked close-on-exec.
  * Avoid needlessly marking cache db items dirty on addowner if the entry
    already had that owner.
  * Add a --no-reload option to dpkg-reconfigure, to allow you to prevent it
    from reloading templates before running confmodules. This may be useful
    for performance if you know that the templates database is already
    correct.
  * Handle escaped commas ("\,") and escaped spaces ("\ ") in Choices and
    Value fields in questions, matching cdebconf. I've grepped the archive
    for backslashes in Choices fields in templates and in db_set and
    db_subst commands and found nothing that this change would break, while
    it lets us use more code from d-i in the installed system.

  [ Joey Hess ]
  * Stop mailing notes since something like 90% of the use of that data type
    is abuse anyway. Error messages will still be mailed if necessary.
  * In the gnome and kde frontends, exit 1 not 0 when cancel is hit.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 May 2006 19:09:58 -0500

debconf (1.5.0) unstable; urgency=low

  [ Colin Watson ]
  * Define UTF-8 as the encoding for all passthrough communication (it was
    previously undefined, causing installer breakage when using non-UTF-8
    locales). Now the passthrough frontend recodes everything to UTF-8 when
    talking to the UI agent, and we recode DATA parameters from UTF-8 to the
    user's charmap. Closes: #355251
  * Note that if you try to exchange non-ASCII text with debconf at the
    moment using anything but the DATA command, you lose unless you know
    that the other end is using the same character encoding as you.
    Retrofitting encoding sanity is hard.
  * Accept -- as an end-of-options terminator in frontend, even though it
    doesn't currently take any arguments. Simplifies a corner case in
    cdebconf compatibility.
  * Notice and error out on write errors (such as ENOSPC) when saving
    databases. Should help with a lot of database corruption bugs.
    Closes: #198297, #247849 (we hope)

  [ Christian Perrier ]
  * Rename the Punjabi translation file name from pa_IN to pa
    to fit a decision taken in -i18n
  * Man pages translations:
    - French updated
    - Complete translator information in addenda

  [ Luk Claes ]
  * Translations:
    - Arabic updated programs (Closes: #357010).
    - Arabic updated debconf (Closes: #360584).
    - Brazilian Portuguese updated debconf (Closes: #357653).
    - Romanian updated programs (Closes: #361152).
    - Romanian updated debconf (Closes: #361157).
    - Indonesian updated programs (Closes: #361185).
  * Fixed typo in French debconf-devel manpage (Closes: #358525).
  * Small correction in German programs translation (Closes: #358804).

  [ Joey Hess ]
  * Finally applied Danilo Piazzalunga's gnome multiselct usability patch,
    which turns it into a list of checkboxes. Closes: #294116
  * Set maintainer to debconf-devel mailing list, this package is noticably
    Colin^Wteam maintained now. Closes: #265570

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Apr 2006 17:54:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.2
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
 Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)

## debconf 1.5.8~bpo.1

=== debian/changelog ===
debconf (1.5.8~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- martin f. krafft <madduck@debian.org>  Fri,  3 Nov 2006 20:19:16 +0100

debconf (1.5.8) unstable; urgency=low

  * Fix passthrough frontend's handling of noninteractive elements.
    Instead of duplicating the code in their show method, which varies for
    some types (select), just call the show method. Closes: #396147

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Oct 2006 23:57:34 -0500

debconf (1.5.7) unstable; urgency=low

  [ Programs Translations ]
    - Updated Chinese (Simplified)
    - Updated Danish. Closes: #392194
    - Updated Dutch. Closes: #392192
    - Updated Hebrew. Closes: #391155
    - Updated Korean. Closes: #393615
    - Updated Kurdish.
    - Updated Portuguese.
    - Added Thai. Closes: #394633
    - Updated Vietnamese.

  [ Debconf Translations ]
    - Updated Albanian
    - Updated Belarusian
    - Updated Chinese (Traditional)
    - Updated Greek. Closes: #392192
    - Updated Indonesian.
    - Added Thai. Closes: #394631

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Oct 2006 20:32:07 -0400

debconf (1.5.6) unstable; urgency=medium

  [ Joey Hess ]
  * Fix names of Kde and Gnome frontends in the frontend selection question.
    Closes: #389939, #388679, #391650
  * Set IFS to a sane value before calling printf, in case the maintainer
    script does something nasty to it. Closes: #381619
  * Dialog backtitle unbranding. Closes: #376116

  [ Christian Perrier ]
  * Correct a grammar error in the french man page translation

  [ Programs Translations ]
    - Updated French.
    - Updated Khmer. Closes: #375064
    - Updated Galician. Closes: #391173
    - Updated Spanish.
    - Updated Catalan.
    - Updated Slovak.
    - Updated Dzongkha.
    - Updated Norwegian Bokmal.
    - Updated Ukrainian
    - Updated Swedish
    - Updated Basque
    - Updated Dutch
    - Updated Brazilian Portuguese
    - Updated Hungarian
    - Updated Finnish
    - Updated Japanese
    - Updated Czech
    - Updated German
    - Updated Romanian
    - Updated Turkish
    - Updated Polish
    - Updated Italian. Closes: #391559
    - Updated Traditional Chinese
    - Updated Arabic. Closes: #391614
    - Updated Russian

  [ Debconf Translations ]
    - Updated Dzongkha. Closes: #388016
    - Added Nepali. Closes: #374950

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 14:09:45 -0400

debconf (1.5.5) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Wolof

  [ Programs Translations ]
    - Added Kurdish. Closes: #387811
    - Fixed typos in Italian. Closes: #387820

  [ Colin Watson ]
  * debconf-apt-progress: Die if debconf-apt-progress/media-change can't be
    displayed.
  * debconf-apt-progress: Avoid falling through to generic progress updating
    code from media-change handling.
  * When asking for a Choices-C field in a template, fall back to Choices
    (etc.); if i18n is disabled then asking for Choices tries Choices-C
    first. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * Make sure that languages whose codes are prefixes of other language
    codes don't accidentally match those languages. This is mostly
    significant for C, but could also be a problem once translations for
    languages with three-letter codes start being widely deployed.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Sep 2006 17:26:43 -0400

debconf (1.5.4) unstable; urgency=low

  [ Christian Perrier ]
  * Split out Choices in templates. Sorry, translators.
  * Activate the generation of Russian man pages by po4a, KOI8-R encoded
    Closes: #385549
  * Translations:
    - Updated French
    - Added Welsh (from D-I translations)
    - Added Dzongkha (from D-I translations)

  [ Luk Claes ]
  * Translations:
    - Updated Catalan debconf translation (Closes: #380344).
    - Updated Estonian debconf translation (Closes: #380352).
    - Updated Italian debconf translation.
    - Updated Simplified Chinese debconf translation.
    - Updated Tagalog debconf translation.
    - Updated Norwegian Bokmal debconf translation.
    - Updated Korean debconf translation (Closes: #380378).
    - Updated Arabic debconf translation (Closes: #380381).
    - Updated Danish debconf translation (Closes: #382002).
    - Updated Hungarian debconf translation.
    - Updated Malagasi debconf translation.
    - Updated Russian debconf translation (Closes: #380427).
    - Updated Slovak debconf translation (Closes: #380432).
    - Updated Czech debconf translation (Closes: #380437).
    - Updated Finnish debconf translation (Closes: #380453).
    - Updated Hebrew debconf translation.
    - Updated Brazillian Portuguese debconf translation.
    - Updated Japanese debconf translation (Closes: #380477).
    - Updated Romanian debconf translation (Closes: #380495).
    - Updated Latvian debconf translation.
    - Updated Turkish debconf translation.
    - Updated Galician debconf translation (Closes: #380592).
    - Updated Lithuanian debconf translation.
    - Updated Punjabi debconf translation.
    - Updated Portuguese debconf translation.
    - New Khmer debconf translation (Closes: #375064).
    - New Khmer programs translation (Closes: #375066).
    - Updated Vietnamese debconf translation (Closes: #382328).
    - Updated Basque debconf translation (Closes: #382459).
    - Updated Ukrainian debconf translation (Closes: #382504).
    - New Dzongkha programs translation (Closes: #382623).
    - Updated Spanish debconf translation (Closes: #382713).
    - Updated German debconf translation (Closes: #384370).
    - Updated Swedish debconf translation (Closes: #386509).

  [ Joey Hess ]
  * Add support for media-change in debconf-apt-progress.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Sep 2006 14:44:33 -0400



=== debian/rules ===
--- 
+++ 
@@ -62,11 +62,8 @@
 	# Changelog reduction hack for debconf. Only include top 100 entries.
 	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
 		< debian/changelog > debian/debconf.changelog
-	echo "Install debconf-doc and see /usr/share/doc/debconf-doc/changelog.gz" >> debian/debconf.changelog
-	echo "for the remainder of this changelog." >> debian/debconf.changelog
 
-	dh_python -V2.3
-	dh_python -V2.4
+	dh_python
 	dh_installchangelogs
 	dh_compress -X demo.templates -X tutorial.templates
 	dh_fixperms

## debconf 1.5.11

=== doc/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 pod2man=pod2man -c Debconf -r ''
 manpages:
+	cd man && po4a po4a/po4a.cfg
 	install -d man/gen
 	for num in 1 3 8; do \
 		find man -maxdepth 1 -type f -name "*.$$num.pod" -printf '%P\n' | \
@@ -16,5 +17,7 @@
 		xargs -i sh -c "cd .. ; $(pod2man) --section=8 {} > doc/man/gen/{}.8"
 
 clean:
+	cd man && po4a --rm-translations po4a/po4a.cfg
+	rm -f man/po4a/po/*~
 	rm -f hierarchy.txt
 	rm -rf man/gen

=== debian/changelog ===
debconf (1.5.11) unstable; urgency=low

  [ Programs Translations ]
    - Updated Dutch. Closes: #391311
    - Updated Portuguese. Closes: #392703

  [ Joey Hess ]
  * Add need_tty field to frontend objects. dpkg-preconfigure can test
    this if it fails to reopen /dev/tty, and avoid dying if the frontend
    doesn't care about the tty, as happens in g-i when preconfiguring using
    the passthrough frontend. Closes: #401876

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Dec 2006 13:30:50 -0500

debconf (1.5.10) unstable; urgency=low

  [ Christian Perrier ]
  * Better support for locale aliases. Thanks to Nicolas François
    for the patch. Closes: #232044

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Dec 2006 17:26:50 -0500

debconf (1.5.9) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Bosnian. Closes: #396654
    - Updated Greek
    - Updated Nepali.
    - Updated Bulgarian. Closes: #397778

  [ Programs Translations ]
    - Added Bosnian. Closes: #397282

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Nov 2006 18:35:19 -0500

## debconf 1.5.11etch2

=== debian/changelog ===
debconf (1.5.11etch2) stable; urgency=low

  * Backport changes to make debconf-apt-progress compatible with the Lenny
    debian-installer:
    - Add --no-progress option intended to be used by apt-install in d-i.
    - Notice if the child exited abnormally, and exit nonzero.
    - Add --dlwaypoint option (without the cancel changes).
    - Fix tasksel hangs when $debconf_command_eof never became true
      because of buggy daemons. STATUS_READ should be the last fd to close, so
      checking $status_eof is sufficient. (LP: #141601)
    - Fix use of 'next' rather than 'return' in debconf-apt-progress
      handle_status.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 13 Mar 2008 11:24:39 +0100

debconf (1.5.11etch1) stable; urgency=low

  [ Colin Watson ]
  * Make sure that apt status commands and debconf protocol commands under
    debconf-apt-progress are properly interleaved. Closes: #425397

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 27 Sep 2007 12:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends-Indep: perl, python, gettext (>= 0.13), libintl-perl, libqt-perl
-Build-Depends: debhelper (>= 4.2.28), po-debconf, po4a (>= 0.23)
+Build-Depends: debhelper (>= 5), po-debconf, po4a (>= 0.23)
+XS-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
 
 Package: debconf
 Priority: important

## debconf 1.5.13ubuntu1

=== debian/changelog ===
debconf (1.5.13ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install Python confmodule for python2.5 as well.
  * Retry flock() on EINTR. Failing that, print the errno if flock() fails
    so that we have a better chance of working out why.
  * Set Maintainer to me for DebianMaintainerField (even though I'm part of
    the maintenance team upstream ...).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2007 10:16:04 +0000

debconf (1.5.13) unstable; urgency=low

  [ Man pages translations ]
    - French updated

  [ Joey Hess ]
  * Fix kde frontend to "show" noninteractive elements so they can handle
    setting their values appropriately. Closes: #413509 (except possibly for
    the strange and unreproducible bits)
  * Avoid initialising kde until the first question is found that needs to be
    displayed using it. The Qt module could fail in some ugly ways during
    destruction if kde stuff was initialised but never used. (See #413509)

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 12:53:58 -0500

debconf (1.5.12) unstable; urgency=low

  [ Debconf Translations ]
    - Updated Esperanto. Closes: #404588
    - Updated Slovenian. Closes: #405581
    - Added Malayalam. Closes: #405910

  [ Joey Hess ]
  * Bubulle requested I include a copy of debconf.pot in the source, rather
    than cleaning it, so here it is. Note that it's not included in svn, to
    avoid churn.

  [ Christian Perrier ]
  * Fix typos in debconf-devel(7) and debconf(7). Closes: #410168, #410169

  [ Joey Hess ]
  * po/Makefile: Smarter detection of no-op changes to po files.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 20:46:20 -0500

debconf (1.5.11ubuntu1) feisty; urgency=low

  * Install Python confmodule for python2.5 as well (LP: #80253).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 14:32:59 +0000
